<!-- prettier-ignore-start -->
# Class Boolean

- [TopLevel.Object](TopLevel.Object.md)
  - [TopLevel.Boolean](TopLevel.Boolean.md)

Provides support for boolean values.


## Constructor Summary

| Constructor | Description |
| --- | --- |
| [Boolean](#booleanstring)([String](TopLevel.String.md)) | Constructs the Boolean using the specified   String value. |
| [Boolean](#booleannumber)([Number](TopLevel.Number.md)) | Constructs the Boolean using the specified   Number value. |

## Method Summary

| Method | Description |
| --- | --- |
| [toString](TopLevel.Boolean.md#tostring)() | Returns true or false depending on the value used to create   the Boolean. |
| [valueOf](TopLevel.Boolean.md#valueof)() | Returns the primitive boolean contained in the Boolean   object. |

### Methods inherited from class Object

[assign](TopLevel.Object.md#assignobject-object), [create](TopLevel.Object.md#createobject), [create](TopLevel.Object.md#createobject-object), [defineProperties](TopLevel.Object.md#definepropertiesobject-object), [defineProperty](TopLevel.Object.md#definepropertyobject-object-object), [entries](TopLevel.Object.md#entriesobject), [freeze](TopLevel.Object.md#freezeobject), [fromEntries](TopLevel.Object.md#fromentriesiterable), [getOwnPropertyDescriptor](TopLevel.Object.md#getownpropertydescriptorobject-object), [getOwnPropertyNames](TopLevel.Object.md#getownpropertynamesobject), [getOwnPropertySymbols](TopLevel.Object.md#getownpropertysymbolsobject), [getPrototypeOf](TopLevel.Object.md#getprototypeofobject), [hasOwnProperty](TopLevel.Object.md#hasownpropertystring), [is](TopLevel.Object.md#isobject-object), [isExtensible](TopLevel.Object.md#isextensibleobject), [isFrozen](TopLevel.Object.md#isfrozenobject), [isPrototypeOf](TopLevel.Object.md#isprototypeofobject), [isSealed](TopLevel.Object.md#issealedobject), [keys](TopLevel.Object.md#keysobject), [preventExtensions](TopLevel.Object.md#preventextensionsobject), [propertyIsEnumerable](TopLevel.Object.md#propertyisenumerablestring), [seal](TopLevel.Object.md#sealobject), [setPrototypeOf](TopLevel.Object.md#setprototypeofobject-object), [toLocaleString](TopLevel.Object.md#tolocalestring), [toString](TopLevel.Object.md#tostring), [valueOf](TopLevel.Object.md#valueof), [values](TopLevel.Object.md#valuesobject)
## Constructor Details

### Boolean(String)
- Boolean(value: [String](TopLevel.String.md))
  - : Constructs the Boolean using the specified 
      String value.


    **Parameters:**
    - value - the String value to use to construct the   Boolean. If _value_ is null or an empty String,   the Boolean is set to false.


---

### Boolean(Number)
- Boolean(value: [Number](TopLevel.Number.md))
  - : Constructs the Boolean using the specified 
      Number value.


    **Parameters:**
    - value - the Number value to use to construct the   Boolean. If _value_ is null or 0,   the Boolean is set to false.


---

## Method Details

### toString()
- toString(): [String](TopLevel.String.md)
  - : Returns true or false depending on the value used to create 
      the Boolean.


    **Returns:**
    - true or false depending on the value used to create 
      the Boolean.



---

### valueOf()
- valueOf(): [Object](TopLevel.Object.md)
  - : Returns the primitive boolean contained in the Boolean 
      object.


    **Returns:**
    - the primitive boolean contained in the Boolean 
      object.



---

<!-- prettier-ignore-end -->
